Bug 1743056 - While creating a host for a particular location, all the domains are in the pull down list, even if only one domain is selected for that location.
Summary: While creating a host for a particular location, all the domains are in the p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Organizations and Locations
Version: 6.4
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: 6.8.0
Assignee: Leos Stejskal
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-19 01:57 UTC by Anand Jambhulkar
Modified: 2020-10-27 12:59 UTC (History)
2 users (show)

Fixed In Version: foreman-2.1.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 12:59:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 28945 0 Normal Closed While creating a host for a particular location, all the domains are in the pull down list, even if only one domain is s... 2020-10-28 02:23:05 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 12:59:20 UTC

Description Anand Jambhulkar 2019-08-19 01:57:49 UTC
Description of problem:

Even though a location only has one domain selected, when creating Hosts for that location all domains are in the pull down list, but only the Subnets assigned to the location are in the pull down list.



Version-Release number of selected component (if applicable):

Red Hat Satellite 6.4



Steps to Reproduce:

1. Create multiple domains.

2. Associate only a single domain with the location.

3. While creating a host via provisioning, select the appropriate location and notice the availability of multiple domains on the "Interface" tab even when a particular location has been selected, which should only show one single domain associated with that location.



Actual results:

The domains that have not even been tied to the location are being shown on the "Interface" tab while creating a host on Satellite Web UI.



Expected results:

When a location is selected, only the domain/s associated with that location should be shown/displayed.



Additional info:

Screenhosts have been attached to bugzilla.

Comment 7 Leos Stejskal 2020-02-06 10:47:24 UTC
Created redmine issue https://projects.theforeman.org/issues/28945 from this bug

Comment 8 Bryan Kearney 2020-03-09 16:01:29 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28945 has been resolved.

Comment 9 Peter Ondrejka 2020-06-05 10:04:04 UTC
Verified on Satellite 6.8 snap 2, domain drop-down in host dialogue now honours the location selected

Comment 12 errata-xmlrpc 2020-10-27 12:59:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.